aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarek Gradzki <mgradzki@cisco.com>2018-04-26 10:11:32 +0200
committerJan Gelety <jgelety@cisco.com>2018-04-27 11:17:22 +0000
commitb789f4582ab94946229444e0b65c58e47531e842 (patch)
tree33380976c66970357dc093d1f2053da8b88c08dc
parent4f2a15eb3bc6d820ec20cf2128f60160cda40753 (diff)
HC tests: reenable NSH plugin (CSIT-994)
Reverts https://gerrit.fd.io/r/#/c/11088/ Change-Id: Ib7b70d33f4a8110656dd39f25b7f5a67a2f52104 Signed-off-by: Marek Gradzki <mgradzki@cisco.com>
-rwxr-xr-xbootstrap-hc2vpp-integration-odl.sh3
-rwxr-xr-xbootstrap-hc2vpp-integration.sh2
-rwxr-xr-xbootstrap-hc2vpp-verify-odl.sh3
-rwxr-xr-xbootstrap-hc2vpp-verify.sh2
-rwxr-xr-xresources/tools/scripts/download_hc_build_pkgs.sh16
-rwxr-xr-xresources/tools/scripts/download_hc_pkgs.sh16
6 files changed, 16 insertions, 26 deletions
diff --git a/bootstrap-hc2vpp-integration-odl.sh b/bootstrap-hc2vpp-integration-odl.sh
index 900e6deee3..aa42411c1a 100755
--- a/bootstrap-hc2vpp-integration-odl.sh
+++ b/bootstrap-hc2vpp-integration-odl.sh
@@ -228,12 +228,11 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
-# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.honeycomb.func" \
--include HC_FUNC \
- --exclude HC_NSHORHC_REST_ONLY \
+ --exclude HC_REST_ONLY \
--noncritical EXPECTED_FAILING \
--variable HC_ODL:${ODL} \
tests/
diff --git a/bootstrap-hc2vpp-integration.sh b/bootstrap-hc2vpp-integration.sh
index 60cdf6a9dd..d300ecc5a5 100755
--- a/bootstrap-hc2vpp-integration.sh
+++ b/bootstrap-hc2vpp-integration.sh
@@ -227,12 +227,10 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
-# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.honeycomb.func" \
--include HC_FUNC \
- --exclude HC_NSH \
--noncritical EXPECTED_FAILING \
tests/
diff --git a/bootstrap-hc2vpp-verify-odl.sh b/bootstrap-hc2vpp-verify-odl.sh
index 92422d0269..028b01b097 100755
--- a/bootstrap-hc2vpp-verify-odl.sh
+++ b/bootstrap-hc2vpp-verify-odl.sh
@@ -227,12 +227,11 @@ fi
rm -rf ~/*karaf*
cp /nfs/common/karaf_${ODL} ~
-# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.honeycomb.func" \
--include HC_FUNC \
- --exclude HC_NSHORHC_REST_ONLY \
+ --exclude HC_REST_ONLY \
--noncritical EXPECTED_FAILING \
--variable HC_ODL:${ODL} \
tests/
diff --git a/bootstrap-hc2vpp-verify.sh b/bootstrap-hc2vpp-verify.sh
index 603a969915..a3e618f842 100755
--- a/bootstrap-hc2vpp-verify.sh
+++ b/bootstrap-hc2vpp-verify.sh
@@ -223,12 +223,10 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
-# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.honeycomb.func" \
--include HC_FUNC \
- --exclude HC_NSH \
--noncritical EXPECTED_FAILING \
tests/
diff --git a/resources/tools/scripts/download_hc_build_pkgs.sh b/resources/tools/scripts/download_hc_build_pkgs.sh
index 474344a320..3763c0999c 100755
--- a/resources/tools/scripts/download_hc_build_pkgs.sh
+++ b/resources/tools/scripts/download_hc_build_pkgs.sh
@@ -22,9 +22,8 @@ OS=$2
URL="https://nexus.fd.io/service/local/artifact/maven/content"
VER="RELEASE"
VPP_GROUP="io.fd.vpp"
-# TODO(CSIT-994): reenable NSH
-# NSH_GROUP="io.fd.nsh_sfc"
-# NSH_ARTIFACTS="vpp-nsh-plugin"
+NSH_GROUP="io.fd.nsh_sfc"
+NSH_ARTIFACTS="vpp-nsh-plugin"
if [ "${OS}" == "ubuntu1404" ]; then
OS="ubuntu.trusty.main"
@@ -51,12 +50,11 @@ for ART in ${VPP_ARTIFACTS}; do
done
done
-# TODO(CSIT-994): reenable NSH
-# for ART in ${NSH_ARTIFACTS}; do
-# for PAC in ${PACKAGE}; do
-# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
-# done
-# done
+for ART in ${NSH_ARTIFACTS}; do
+ for PAC in ${PACKAGE}; do
+ curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+ done
+done
# verify downloaded packages
if [ "${OS}" == "centos7" ]; then
diff --git a/resources/tools/scripts/download_hc_pkgs.sh b/resources/tools/scripts/download_hc_pkgs.sh
index 38c565f97f..a7562aa7f4 100755
--- a/resources/tools/scripts/download_hc_pkgs.sh
+++ b/resources/tools/scripts/download_hc_pkgs.sh
@@ -22,10 +22,9 @@ URL="https://nexus.fd.io/service/local/artifact/maven/content"
VER="RELEASE"
GROUP="io.fd.vpp"
HC_GROUP="io.fd.hc2vpp"
+NSH_GROUP="io.fd.nsh_sfc"
HC_ARTIFACTS="honeycomb"
-# TODO(CSIT-994): reenable NSH
-# NSH_GROUP="io.fd.nsh_sfc"
-# NSH_ARTIFACTS="vpp-nsh-plugin"
+NSH_ARTIFACTS="vpp-nsh-plugin"
if [ "${OS}" == "ubuntu1404" ]; then
OS="ubuntu.trusty.main"
@@ -62,12 +61,11 @@ for ART in ${DPDK_ARTIFACTS}; do
done
done
-# TODO(CSIT-994): reenable NSH
-# for ART in ${NSH_ARTIFACTS}; do
-# for PAC in ${PACKAGE}; do
-# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
-# done
-# done
+for ART in ${NSH_ARTIFACTS}; do
+ for PAC in ${PACKAGE}; do
+ curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+ done
+done
# determine VPP dependency
# use latest if honeycomb package does not depend on single VPP version, e.g. stable branches since HC2VPP-285